hinv = @(y, p) [p(1) + y(1,:).*cos(y(2,:));
                p(2) + y(1,:).*sin(y(2,:))];
Nhat1 = tt1eval(y1, hinv, p1)
Nhat2 = tt1eval(y2, hinv, p2)
xhat = fusion(Nhat1, Nhat2)
plot(p1(1), p1(2), '.b',...
     p2(1), p2(2), '.g', 'markersize', 15);
hold on;
text(p1(1), p1(2), 'S1');
text(p2(1), p2(2), 'S2');
plot2(Nhat1, Nhat2, xhat, 'legend', 'off');
